Why is installation so cumbersome?

btcxyzzzbtcxyzzz Member Posts: 10
It's definitely not for regular people, and I'm affraid it's not good thing. First It took some time until I realised cpp implementation is only for developers, and I had many problems to install and run alethzero. Then I realised I need Mist client which I realise it's developed in Go, and there are no binaries to be downloaded?!

So I downloaded https://github.com/ethereum/go-ethereum/archive/v0.8.5.tar.gz, just to find out I really don't know what to do with files I got. In README.md I found "go get github.com/ethereum/go-ethereum/cmd/mist" command which I suppose has to build Mist, but I get:
package github.com/ethereum/go-ethereum/cmd/mist: cannot download, $GOPATH not set. For more details see: go help gopath
I mean, why that variable is not already set?!

Also tried to install go-ethereum from PPA, I get this:

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
go-ethereum : Depends: qt54base but it is not installable
Depends: qt54declarative but it is not installable
Depends: qt54webengine but it is not installable
E: Unable to correct problems, you have held broken packages.


I mean, does it have to be this frustrating? Why Linux binaries are not available? If it stays like this, Ethereum is reserved only for ultra-geeks. I am geek to some extent.

You may notice I'm frustrated, and I really am... Really, I'm no novice with computers and Linux and I can't install usable Ethereum client for few days now. Please help.

Comments

Sign In or Register to comment.